at-spi-idl: Accessibility::Application Interface Reference

Public Member Functions | Data Fields

# Accessibility::Application Interface Reference

`import "Accessibility_Application.idl";`

Inheritance diagram for Accessibility::Application:

## Public Member Functions
void | registerToolkitEventListener (in EventListener listener, in string eventName)
void | registerObjectEventListener (in EventListener listener, in string eventName)
boolean | pause ()
boolean | resume ()
string | getLocale (in LOCALE_TYPE lctype)
## Data Fields
readonly attribute string | toolkitName
readonly attribute string | version
attribute long | id

## Detailed Description

An interface identifying an object which is the root of the user interface Accessible hierarchy associated with a running application. Children of Application are typically, but not exclusively, top-level windows.

Note:
  It is possible for an element deeper in an Accessibility stack to implement Application, for instance in the case of "embedded applications" which draw into toplevel windows associated with other applications from the user's point of view.

## Member Function Documentation

string Accessibility::Application::getLocale | ( | in LOCALE_TYPE | lctype | ) |

Gets the locale in which the application is currently operating. For the current message locale, use lctype LOCALE_TYPE_MESSAGES.

Parameters:

  | lctype | The LocaleType for which the locale is queried.

Returns:
  a string compliant with the POSIX standard for locale description.

boolean Accessibility::Application::pause | ( |  | ) |

Request that the application temporarily stop sending events. In most cases this should pause the application's main event loop.

Returns:
  : `true` if the request succeeded, `false` otherwise.

Note:
  : This method is not implemented in most toolkits, and therefore should be treated with caution.

void Accessibility::Application::registerObjectEventListener | ( | in EventListener | listener,
|  | in string | eventName |
| ) |  |  |

registerObjectEventListener:

Parameters:

  | listener,: | an EventListener object which will receive the requested events
  | eventName,: | a UTF-8 string indicating the type of (toolkit-specific) event being requested. Register with this application toolkit for "Accessibility::Accessible" event notifications.

Note:
  : SUBJECT TO DEPRECATION.

void Accessibility::Application::registerToolkitEventListener | ( | in EventListener | listener,
|  | in string | eventName |
| ) |  |  |

Parameters:

  | listener,: | an EventListener object which will receive the requested events from the application's toolkits via toolit 'bridges'
  | eventName,: | a UTF-8 string indicating the type of (toolkit-specific) event being requested. Not all applications can generate toolkit events of a given type.

Register with this application's toolkit for "toolkit-specific" event notifications.

Note:
  For most event support, clients should use non-toolkit-specific events whenever possible, via Registry::registerGlobalEventListener - this method is provided as a 'back door' when generic names do not exist for the events in question.

boolean Accessibility::Application::resume | ( |  | ) |

Request that the application resume sending events.

Returns:
  : `True` if the request succeeded, `False` otherwise.

## Field Documentation

attribute long Accessibility::Application::id

The application instance's unique ID as assigned by the registry.

readonly attribute string Accessibility::Application::toolkitName

A string indicating the type of user interface toolkit which is used by the application.

Note:
  Ordinarily clients of Application should be toolkit-agnostic, dependencies on this property should be avoided where possible.

readonly attribute string Accessibility::Application::version

A string indicating the version number of user interface toolkit which is used by the application.

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_Application.idl